TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Minimum ( elt-ids^int/ord^fun I ) -> elt-rng, elt-rng

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> A generator of the ideal R meet d*I where R is the coefficient ring of the order of I and d is the denominator of I (d is the second return value). </shortdoc>

### Examples

x_ff3 := FiniteField(3); x_ff3x := PolynomialAlgebra(x_ff3); x_ff3xy := PolynomialAlgebra(x_ff3x); x_f := x_ff3xy.1^2+1; x_F := FunctionField(x_f); x_O := MaximalOrderFinite(x_F); x_I := Element(x_O,[3,1])*x_O; Minimum(x_I);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack